Imagick::setFirstIterator
Imagick::setFormat
Imagick
PHP Manual

# Imagick::setFont

Sets font

### Description

bool Imagick::setFont ( string `$font` )

Sets object's font property. This method can be used for example to set font for caption: pseudo-format. The font needs to be configured in ImageMagick confiration or a file by the name of `font` must exist. This method should not be confused with ImagickDraw::setFont which sets the font for a specific ImagickDraw object. This method is available if Imagick has been compiled against ImageMagick version 6.3.7 or newer.

### Parameters

`font`

  Font name or a filename

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::getFont
- ImagickDraw::setFont
- ImagickDraw::getFont

### Examples

Example #1 A Imagick::setFont example

Example of using Imagick::setFont

`<?php
/* Create new imagick object */
$im = new Imagick();
/* Set the font for the object */
$im->setFont("example.ttf");
/* Create new caption */
$im->newPseudoImage(100, 100, "caption:Hello");
/* Do something with the image */
?>`